#!/usr/bin/env python3
#
# Copyright (c) 2024 Stormux
# Copyright (c) 2010-2012 The Orca Team
# Copyright (c) 2012 Igalia, S.L.
# Copyright (c) 2005-2010 Sun Microsystems Inc.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the
# Free Software Foundation, Inc., Franklin Street, Fifth Floor,
# Boston MA  02110-1301 USA.
#
# Fork of Orca Screen Reader (GNOME)
# Original source: https://gitlab.gnome.org/GNOME/orca

import os

from macaroon.playback import *
import utils

tmpdir = "/tmp/gnome-terminal-wd"
for i in range(10):
    filename = os.path.join(tmpdir, "another_test_file_%s" % i)
    os.close(os.open(filename, os.O_CREAT, 0o700))

sequence = MacroSequence()
sequence.append(PauseAction(3000))
sequence.append(TypeAction("ls"))

sequence.append(utils.StartRecordingAction())
sequence.append(KeyComboAction("Return"))
sequence.append(utils.AssertPresentationAction(
    "1. ls",
    ["BRAILLE LINE:  '$ '",
     "     VISIBLE:  '$ ', cursor=3",
     "SPEECH OUTPUT: 'another_test_file_0  another_test_file_4  another_test_file_8",
     "another_test_file_1  another_test_file_5  another_test_file_9",
     "another_test_file_2  another_test_file_6",
     "another_test_file_3  another_test_file_7",
     "$ '"]))

sequence.append(utils.AssertionSummaryAction())
sequence.start()
